Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 380255 - <www-apps/bugzilla-{3.4.12,3.6.6}: Multiple Vulnerabilities (CVE-2011-{2977,2978})
Summary: <www-apps/bugzilla-{3.4.12,3.6.6}: Multiple Vulnerabilities (CVE-2011-{2977,2...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: https://secunia.com/advisories/45501/
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-22 17:33 UTC by Agostino Sarubbo
Modified: 2011-10-10 19:57 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2011-08-22 17:33:46 UTC
From secunia security advisory at $URL:

Description:
Multiple vulnerabilities have been reported in Bugzilla, which can be exploited by malicious, local users to gain access to potentially sensitive information and by malicious users to disclose potentially sensitive information, conduct script insertion and spoofing attacks.

1) Input passed via patch attachments is not properly sanitised before being viewed in "Raw Unified" mode. This can be exploited to insert arbitrary HTML and script code, which will be executed in a user's browser session in context of an affected site when the malicious data is being viewed.

Successful exploitation of this vulnerability requires the victim to use Internet Explorer or Safari browsers.

2) Two errors when handling certain URLs during creation or editing of a bug and custom searches can be exploited to disclose the existence of a confidential group and its name.

3) An input sanitation error when processing attachment descriptions can be exploited to inject email headers when a flagmail notification is sent.

4) Insecure handling of temporary files for uploaded attachments can be exploited by local users to disclose the contents.


Solution:
Update to version 3.4.12, 3.6.6, or 4.1.3

So at upstream website, atm, 4.0.2 is declared as stable version. Please check
Comment 1 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2011-08-26 11:59:59 UTC
3.4.12 and 3.6.6 are in the tree now.
Comment 2 Tim Sammut (RETIRED) gentoo-dev 2011-08-26 14:05:23 UTC
(In reply to comment #1)
> 3.4.12 and 3.6.6 are in the tree now.

Thank you.

Arches, please test and mark stable:
=www-apps/bugzilla-3.6.6
Target keywords : "amd64 x86"
Comment 3 Agostino Sarubbo gentoo-dev 2011-08-26 14:38:21 UTC
amd64 ok
Comment 4 Tony Vroon gentoo-dev 2011-08-26 15:07:11 UTC
+  26 Aug 2011; Tony Vroon <chainsaw@gentoo.org> Test-use-ok-0.02.ebuild:
+  Marked stable on AMD64 as a dependency of www-apps/bugzilla-3.6.6 based on
+  arch testing by Agostino "ago" Sarubbo in security bug #380255.

+  26 Aug 2011; Tony Vroon <chainsaw@gentoo.org> Module-Find-0.10.ebuild:
+  Marked stable on AMD64 as a dependency of www-apps/bugzilla-3.6.6 based on
+  arch testing by Agostino "ago" Sarubbo in security bug #380255.

+  26 Aug 2011; Tony Vroon <chainsaw@gentoo.org>
+  Crypt-Random-Source-0.70.ebuild:
+  Marked stable on AMD64 as a dependency of www-apps/bugzilla-3.6.6 based on
+  arch testing by Agostino "ago" Sarubbo in security bug #380255.

+  26 Aug 2011; Tony Vroon <chainsaw@gentoo.org>
+  Math-Random-ISAAC-XS-1.4.ebuild:
+  Marked stable on AMD64 as a dependency of www-apps/bugzilla-3.6.6 based on
+  arch testing by Agostino "ago" Sarubbo in security bug #380255.

+  26 Aug 2011; Tony Vroon <chainsaw@gentoo.org> Math-Random-ISAAC-1.4.ebuild:
+  Marked stable on AMD64 as a dependency of www-apps/bugzilla-3.6.6 based on
+  arch testing by Agostino "ago" Sarubbo in security bug #380255.

+  26 Aug 2011; Tony Vroon <chainsaw@gentoo.org> Math-Random-Secure-0.60.ebuild:
+  Marked stable on AMD64 as a dependency of www-apps/bugzilla-3.6.6 based on
+  arch testing by Agostino "ago" Sarubbo in security bug #380255.

+  26 Aug 2011; Tony Vroon <chainsaw@gentoo.org> bugzilla-3.6.6.ebuild:
+  Marked stable on AMD64 based on arch testing by Agostino "ago" Sarubbo in
+  security bug #380255.
Comment 5 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-08-27 20:13:25 UTC
x86 stable
Comment 6 Agostino Sarubbo gentoo-dev 2011-08-27 20:14:45 UTC
Thanks all, request for glsa vote.
Comment 7 Tim Sammut (RETIRED) gentoo-dev 2011-08-28 02:00:17 UTC
Thanks, everyone. GLSA Vote: no.
Comment 8 Stefan Behte (RETIRED) gentoo-dev Security 2011-10-08 21:12:25 UTC
Vote: yes.
Comment 9 Tobias Heinlein (RETIRED) gentoo-dev 2011-10-08 21:15:14 UTC
GLSA vote: YES, request filed.
Comment 10 GLSAMaker/CVETool Bot gentoo-dev 2011-10-10 19:57:42 UTC
This issue was resolved and addressed in
 GLSA 201110-03 at http://security.gentoo.org/glsa/glsa-201110-03.xml
by GLSA coordinator Stefan Behte (craig).